idn2_to_unicode_8z4z(3)

NAME
idn2_to_unicode_8z4z - API function

SYNOPSIS
#include <idn2.h>

int idn2_to_unicode_8z4z(const char * input, uint32_t ** output, G_GNUC_UNUSED int flags);

ARGUMENTS

const char * input
    Input zero-terminated UTF-8 string.

uint32_t ** output
    Newly allocated UTF-32/UCS-4 output string.

G_GNUC_UNUSED int flags
    Currently unused.

DESCRIPTION
Converts a possibly ACE encoded domain name in UTF-8 format into a UTF-32 string (punycode decoding). The output buffer will be zero-terminated and must be deallocated by the caller.
 output may be NULL to test lookup of input without allocating memory.

SINCE
2.0.0

SEE ALSO
The full documentation for libidn2 is maintained as a Texinfo manual. If the info and libidn2 programs are properly installed at your site, the command

    info libidn2

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libidn2/manual/